import { FrameworkConfiguration } from "aurelia-framework";
import { PitayaConfiguration }    from "./configuration";

export declare function configure( frameworkConfig: FrameworkConfiguration, callback?: ( config: PitayaConfiguration ) => void ): void;

export * from "./elements/pitaya-app";
export * from "./elements/pitaya-view";
export * from "./utility/decorators";
export * from "./utility/utils";
export * from "./configuration";
export * from "./development/interfaces";